# Generated from riemann-tools.haf-0.1.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name riemann-tools.haf

Name: rubygem-%{gem_name}
Version: 0.1.9
Release: 1%{?dist}
Summary: Utilities which submit events to Riemann. Release until Kyle's official is ready
License: MIT
URL: https://github.com/haf/riemann-tools
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
BuildArch: noarch

%description
Utilities which submit events to Riemann. Release until Kyle's official is
ready.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/riemann-aws-status
%{_bindir}/riemann-bench
%{_bindir}/riemann-cloudant
%{_bindir}/riemann-diskstats
%{_bindir}/riemann-elasticsearch
%{_bindir}/riemann-elb-metrics
%{_bindir}/riemann-fd
%{_bindir}/riemann-freeswitch
%{_bindir}/riemann-haproxy
%{_bindir}/riemann-health
%{_bindir}/riemann-kvminstance
%{_bindir}/riemann-memcached
%{_bindir}/riemann-munin
%{_bindir}/riemann-net
%{_bindir}/riemann-nginx-status
%{_bindir}/riemann-proc
%{_bindir}/riemann-rabbitmq
%{_bindir}/riemann-redis
%{_bindir}/riemann-redis-slowlog
%{_bindir}/riemann-resmon
%{_bindir}/riemann-riak
%{_bindir}/riemann-riak-keys
%{_bindir}/riemann-riak-ring
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.markdown

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.9-1
- Initial package
